Bug 927237

Summary: Review Request: owfs - 1-Wire Virtual File System
Product: [Fedora] Fedora Reporter: Tomasz Torcz <tomek>
Component: Package ReviewAssignee: Lorenzo Dalrio <lorenzo.dalrio>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: andrew.elwell, lorenzo.dalrio, notting, package-review
Target Milestone: ---Flags: lorenzo.dalrio: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: owfs-2.9p1-4.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-20 09:46:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
owfs.spec
none
changes in owfs.spec
none
owfs.spec
none
changes in owfs.spec
none
changes in owfs.spec
none
changes in owfs.spec
none
changes in owfs.spec
none
changes in owfs.spec
none
owfs.spec changes none

Description Tomasz Torcz 2013-03-25 13:17:36 UTC
Spec URL: http://ttorcz.fedorapeople.org/owfs.spec
SRPM URL: http://ttorcz.fedorapeople.org/owfs-2.9p0-1.fc18.src.rpm
Description: OWFS is a user-space virtual file-system providing access to 1-Wire networks. Package contains few auxiliary programs and development modules.
Fedora Account System Username: ttorcz

rpmlint isn't completly silent, because Perl module build is commented out. Perl module will be provided after I work out why it installs into /usr/local.

Scratch builds:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5168542

Comment 1 Lorenzo Dalrio 2013-05-03 09:53:29 UTC
Hi Tomasz,
this one is quite tough to review, i am working on it and time is never enough, please be patient. :)
Some initial considerations:

- you have to Require: python-devel in python subpackage [1]

- fs subpackage installs a dir in /mnt, this is not permitted because of FHS.


[1] http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

Comment 2 Tomasz Torcz 2013-05-06 16:12:57 UTC
Created attachment 744244 [details]
owfs.spec

Comment 3 Tomasz Torcz 2013-05-06 16:16:21 UTC
Created attachment 744245 [details]
changes in owfs.spec

Lorenzo,

I made first change you suggested to owfs.spec file.

The /mnt/1wire directory is harder. This dir is widely used in the real world, and in order to have just-working configuration it should be available. But I see that FHS make it prohibited territory for packages.
I think I will take this issue to fedora-devel for hints.

Thanks for looking into this review.

Comment 4 Andrew Elwell 2013-05-09 12:02:47 UTC
Hi Tomasz,

Saw your comments on the mailing list - use of /run/1wire would probably be the simplest as it's closest to what people expect (/mnt is a FHS no-go IMHO). Any more changes planned as I'm just trying to work out some json patches for owhttpd (doesn't provide valid json output) and I can build with your spec

Andrew

Comment 5 Tomasz Torcz 2013-05-10 20:17:45 UTC
Created attachment 746373 [details]
owfs.spec

Comment 6 Tomasz Torcz 2013-05-10 20:19:05 UTC
Created attachment 746375 [details]
changes in owfs.spec

Replaced /mnt/1wire with /run/owfs

Comment 7 Lorenzo Dalrio 2013-05-14 07:09:23 UTC
Tomasz,
please can you also refresh srpm?
Thank you.

Comment 9 Lorenzo Dalrio 2013-05-20 13:37:47 UTC
Tomasz, the python sub-package need to BuildRequires: python2-devel and not Requires: python-devel [1]. This is my fault, i led you to mistake, sorry.

shell, mon and tap sub-packages do not have a dependency on libs sub-package. If i  have correctly understand, owfs-libs in this case is our base package and has to be required by sub-packages. [2]

[1] http://fedoraproject.org/wiki/Packaging:Python#BuildRequires
[2] https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Requiring_Base_Package

Comment 10 Tomasz Torcz 2013-06-13 12:53:00 UTC
Created attachment 760665 [details]
changes in owfs.spec

Spec:  http://ttorcz.fedorapeople.org/owfs.spec
SRPM:  http://ttorcz.fedorapeople.org/owfs-2.9p0-4.fc18.src.rpm

- corrected python requires

- "shell" utilities do not link with libs, the use owserver for accessing 1wire; they can be used standalone - for accessing server on other machine - thus they do not depend on neither -libs nor -owserver

- -mon and -tap do not link to -libs, also; but after closer looking, those two are TCL programs requiring owfs-tcl -> I've added -tcl dependency to them

Thanks for your patience, Lorenzo1

Comment 11 Tomasz Torcz 2013-06-20 14:57:38 UTC
Created attachment 763488 [details]
changes in owfs.spec

SPEC: http://ttorcz.fedorapeople.org/owfs.spec
SRPM: http://ttorcz.fedorapeople.org/owfs-2.9p1-1.fc18.src.rpm

Upstream released new version in the meantime. I've updated spec. New version contains patches I was adding in .spec.
Additionaly, I've corrected python module permissions and removed commented-out bits of perl module.

Comment 12 Lorenzo Dalrio 2013-06-21 13:02:39 UTC
Hi Tomasz,
my build attempt failed with error:

error: Missing '(' in %attr {0755,-,-,-) /usr/lib64/python2.7/site-packages/ow/_OW.so

Please can you fix this? :)
Thank you

Comment 13 Tomasz Torcz 2013-06-21 13:23:44 UTC
What a dumb mistake of mine! Corrected. It is so trivial that I've remade SRPM without bumping release. Please redownload from ttorcz.fedorapeople.org

Comment 14 Lorenzo Dalrio 2013-06-25 09:48:03 UTC
We have a couple of issues left:

1) rpmlint reports some unused direct shlib dependencies, please try to fix this if it is possible [1]:
owfs-capi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libowcapi-2.9.so.0.0.0 /lib64/libusb-0.1.so.4
owfs-capi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libowcapi-2.9.so.0.0.0 /lib64/libm.so.6
owfs-capi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libowcapi-2.9.so.0.0.0 /lib64/libdl.so.2
owfs-ownet.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libownet-2.9.so.0.0.0 /lib64/libm.so.6

2) we need to ship license file with every combination of subpackages installation. Subpackages that depend on a package that already installs license file are ok, standalone subpackages should install license file. [2] [3]

3) license file contains an incorrect fsf address [4], please ask upstream to update license file by picking a new copy from FSF.

4) Please fix permissions for this file, change it to 0755:
owfs-python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/ow/_OW.so 0775L



[1] http://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency
[2] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing
[3] https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Duplicate_Files
[4] http://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

Comment 15 Tomasz Torcz 2013-07-01 13:29:07 UTC
Created attachment 767410 [details]
changes in owfs.spec

Spec URL: http://ttorcz.fedorapeople.org/owfs.spec
SRPM URL: http://ttorcz.fedorapeople.org/owfs-2.9p1-2.fc18.src.rpm

1) fixed


2) license file is a bit problematic. Most subpackages depend on "-libs", and "-libs" carry COPYING, so this is fine.
"-fs", "-http" and "-ftpd" depend on "-server", "-server" depends on "-libs", so fine again.

We are left with "-tap", "-mon" and "-shell". Neither of those carry separate License file (licensing details are described on a webpage, URL is in spec). I don't believe we should invent license files, I can contact upstream to resolve this issue. This shouldn't block the review, IMO.


3) contacted upstream before: http://owfs-developers.1086194.n5.nabble.com/PATCH-1-2-update-FSF-address-td9457.html 


4) fixed

Comment 16 Lorenzo Dalrio 2013-07-01 14:21:46 UTC
(In reply to Tomasz Torcz from comment #15)
> 2) license file is a bit problematic. Most subpackages depend on "-libs",
> and "-libs" carry COPYING, so this is fine.
> "-fs", "-http" and "-ftpd" depend on "-server", "-server" depends on
> "-libs", so fine again.
> 
> We are left with "-tap", "-mon" and "-shell". Neither of those carry
> separate License file (licensing details are described on a webpage, URL is
> in spec). I don't believe we should invent license files, I can contact
> upstream to resolve this issue. This shouldn't block the review, IMO.

Unfortunately this one is blocking because we do not honor licensing guidelines. [1]
However in this case we are permitted to duplicate license file for -tap -mon and -shell subpackages [2]

[1] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Subpackage_Licensing
[2] https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Duplicate_Files

Comment 17 Tomasz Torcz 2013-07-01 15:01:27 UTC
But the problem is: there is not file to duplicate. Information about licensing is here: http://owfs.org/index.php?page=license

-shell is MIT licensed, but there is no file with MIT license nowhere in distribution tarball.

For -tap and -mon I suppose GPL license is inherited and I can duplicate COPYING file.

Comment 18 Lorenzo Dalrio 2013-07-02 07:36:31 UTC
(In reply to Tomasz Torcz from comment #17)
> But the problem is: there is not file to duplicate. Information about
> licensing is here: http://owfs.org/index.php?page=license
> 
> -shell is MIT licensed, but there is no file with MIT license nowhere in
> distribution tarball.
> 
> For -tap and -mon I suppose GPL license is inherited and I can duplicate
> COPYING file.

Ok Tomasz, we can duplicate license text where applicable, for -shell subpackage please inform upstream that MIT license requires distributing license text with source code, this way licensing guidelines will be satisfied [1] and we can proceed over. :)

[1] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Comment 19 Tomasz Torcz 2013-07-03 11:26:03 UTC
Created attachment 768204 [details]
changes in owfs.spec

Hi,

Spec: http://ttorcz.fedorapeople.org/owfs.spec
SRPM: http://ttorcz.fedorapeople.org/owfs-2.9p1-3.fc18.src.rpm

Changes:
- include main copying in -tap and -mon
- upstream contacted about issues: http://article.gmane.org/gmane.comp.file-systems.owfs.devel/10623

Comment 20 Lorenzo Dalrio 2013-07-08 06:30:10 UTC
Tomasz,
i'm sorry to bother, but my build attempt fails with error

RPM build errors:
error: File must begin with "/": %{_unitdir}/owfs.service
error: File must begin with "/": %{_tmpfilesdir}/owfs.conf
    File must begin with "/": %{_unitdir}/owfs.service
    File must begin with "/": %{_tmpfilesdir}/owfs.conf

Comment 21 Tomasz Torcz 2013-07-09 07:23:43 UTC
I can only reproduce this error on Fedora 17, where those macros weren't defined/pulled in int buildroot. The package builds fine in F18, F19 and rawhide mocks for me.
Are you using F17? It's going out of support in 3 weeks, it's not worth to get owfs building on it.

Comment 22 Lorenzo Dalrio 2013-07-09 07:30:50 UTC
I am using Fedora 19 with fedora-review-0.4.1-2.fc19.noarch

Comment 23 Lorenzo Dalrio 2013-07-09 08:02:41 UTC
Koji scratch build fails with same error: http://koji.fedoraproject.org/koji/taskinfo?taskID=5587023

Comment 24 Tomasz Torcz 2013-07-09 12:56:23 UTC
Created attachment 771011 [details]
owfs.spec changes

SPEC: http://ttorcz.fedorapeople.org/owfs.spec
SRPM: http://ttorcz.fedorapeople.org/owfs-2.9p1-4.fc18.src.rpm
Scrt: http://koji.fedoraproject.org/koji/taskinfo?taskID=5587592

Found the problem, required RPM macros are in systemd, so added BR.

Comment 25 Lorenzo Dalrio 2013-07-09 14:49:25 UTC
Ok Tomasz, well done! For me now package is OK, full review follows:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in owfs-libs ,
     owfs-capi , owfs-devel , owfs-ownet , owfs-fs , owfs-httpd , owfs-ftpd ,
     owfs-server , owfs-tap , owfs-mon , owfs-python , owfs-php , owfs-tcl ,
     owfs-shell
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated", "BSD (4 clause)", "*No
     copyright* GPL", "*No copyright* Public domain", "MIT/X11 (BSD like) GPL
     (v2 or later)", "BSD (3 clause)", "LGPL (v2.1 or later)", "*No copyright*
     GPL (v2 or later)", "GPL (v2)", "*No copyright* LGPL (v2.1 or later)".
     336 files have unknown license. Detailed output of licensecheck in
     /home/lorenzodalrio/workspace/reviews/owfs/927237-owfs/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 92160 bytes in 7 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: owfs-libs-2.9p1-4.fc20.x86_64.rpm
          owfs-capi-2.9p1-4.fc20.x86_64.rpm
          owfs-devel-2.9p1-4.fc20.x86_64.rpm
          owfs-ownet-2.9p1-4.fc20.x86_64.rpm
          owfs-fs-2.9p1-4.fc20.x86_64.rpm
          owfs-httpd-2.9p1-4.fc20.x86_64.rpm
          owfs-ftpd-2.9p1-4.fc20.x86_64.rpm
          owfs-server-2.9p1-4.fc20.x86_64.rpm
          owfs-tap-2.9p1-4.fc20.x86_64.rpm
          owfs-mon-2.9p1-4.fc20.x86_64.rpm
          owfs-python-2.9p1-4.fc20.x86_64.rpm
          owfs-php-2.9p1-4.fc20.x86_64.rpm
          owfs-tcl-2.9p1-4.fc20.x86_64.rpm
          owfs-shell-2.9p1-4.fc20.x86_64.rpm
owfs-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libow-2.9.so.1.0.0 exit@GLIBC_2.2.5
owfs-libs.x86_64: W: manual-page-warning /usr/share/man/man3/mCM001.3.gz 38: warning: macro `01A' not defined
owfs-libs.x86_64: E: incorrect-fsf-address /usr/share/doc/owfs-libs-2.9p1/COPYING
owfs-capi.x86_64: W: spelling-error %description -l en_US libow -> lib ow, lib-ow, libido
owfs-devel.x86_64: W: no-documentation
owfs-ownet.x86_64: W: spelling-error %description -l en_US owlib -> ow lib, ow-lib, owlish
owfs-ownet.x86_64: W: shared-lib-calls-exit /usr/lib64/libownet-2.9.so.1.0.0 exit@GLIBC_2.2.5
owfs-fs.x86_64: W: spelling-error Summary(en_US) libs -> lobs, lib, lbs
owfs-fs.x86_64: W: spelling-error %description -l en_US libs -> lobs, lib, lbs
owfs-fs.x86_64: W: only-non-binary-in-usr-lib
owfs-httpd.x86_64: W: only-non-binary-in-usr-lib
owfs-ftpd.x86_64: W: only-non-binary-in-usr-lib
owfs-server.x86_64: W: only-non-binary-in-usr-lib
owfs-server.x86_64: W: no-manual-page-for-binary owexternal
owfs-tap.x86_64: W: spelling-error Summary(en_US) owserver -> observer, ow server, ow-server
owfs-tap.x86_64: W: spelling-error %description -l en_US owserver -> observer, ow server, ow-server
owfs-tap.x86_64: E: incorrect-fsf-address /usr/share/doc/owfs-tap-2.9p1/COPYING
owfs-mon.x86_64: W: spelling-error Summary(en_US) owserver -> observer, ow server, ow-server
owfs-mon.x86_64: W: spelling-error %description -l en_US owserver -> observer, ow server, ow-server
owfs-mon.x86_64: E: incorrect-fsf-address /usr/share/doc/owfs-mon-2.9p1/COPYING
owfs-python.x86_64: W: no-documentation
owfs-php.x86_64: W: no-documentation
owfs-php.x86_64: W: devel-file-in-non-devel-package /usr/lib64/php/modules/libowphp.so
owfs-tcl.x86_64: W: manual-page-warning /usr/share/man/mann/owtcl.n.gz 235: warning: macro `HS' not defined
owfs-shell.x86_64: W: spelling-error Summary(en_US) owserver -> observer, ow server, ow-server
owfs-shell.x86_64: W: spelling-error %description -l en_US owserver -> observer, ow server, ow-server
owfs-shell.x86_64: W: no-manual-page-for-binary owexist
14 packages and 0 specfiles checked; 3 errors, 24 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint owfs-capi owfs-libs owfs-tap owfs-devel owfs-tcl owfs-shell owfs-fs owfs-server owfs-python owfs-mon owfs-php owfs-httpd owfs-ownet owfs-ftpd
owfs-capi.x86_64: W: spelling-error %description -l en_US libow -> lib ow, lib-ow, libido
owfs-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libow-2.9.so.1.0.0 exit@GLIBC_2.2.5
owfs-libs.x86_64: W: manual-page-warning /usr/share/man/man3/mCM001.3.gz 38: warning: macro `01A' not defined
owfs-libs.x86_64: E: incorrect-fsf-address /usr/share/doc/owfs-libs-2.9p1/COPYING
owfs-tap.x86_64: W: spelling-error Summary(en_US) owserver -> observer, ow server, ow-server
owfs-tap.x86_64: W: spelling-error %description -l en_US owserver -> observer, ow server, ow-server
owfs-tap.x86_64: E: incorrect-fsf-address /usr/share/doc/owfs-tap-2.9p1/COPYING
owfs-devel.x86_64: W: no-documentation
owfs-tcl.x86_64: W: manual-page-warning /usr/share/man/mann/owtcl.n.gz 235: warning: macro `HS' not defined
owfs-shell.x86_64: W: spelling-error Summary(en_US) owserver -> observer, ow server, ow-server
owfs-shell.x86_64: W: spelling-error %description -l en_US owserver -> observer, ow server, ow-server
owfs-shell.x86_64: W: no-manual-page-for-binary owexist
owfs-fs.x86_64: W: spelling-error Summary(en_US) libs -> lobs, lib, lbs
owfs-fs.x86_64: W: spelling-error %description -l en_US libs -> lobs, lib, lbs
owfs-fs.x86_64: W: only-non-binary-in-usr-lib
owfs-server.x86_64: W: only-non-binary-in-usr-lib
owfs-server.x86_64: W: no-manual-page-for-binary owexternal
owfs-python.x86_64: W: no-documentation
owfs-mon.x86_64: W: spelling-error Summary(en_US) owserver -> observer, ow server, ow-server
owfs-mon.x86_64: W: spelling-error %description -l en_US owserver -> observer, ow server, ow-server
owfs-mon.x86_64: E: incorrect-fsf-address /usr/share/doc/owfs-mon-2.9p1/COPYING
owfs-php.x86_64: W: no-documentation
owfs-php.x86_64: W: devel-file-in-non-devel-package /usr/lib64/php/modules/libowphp.so
owfs-httpd.x86_64: W: only-non-binary-in-usr-lib
owfs-ownet.x86_64: W: spelling-error %description -l en_US owlib -> ow lib, ow-lib, owlish
owfs-ownet.x86_64: W: shared-lib-calls-exit /usr/lib64/libownet-2.9.so.1.0.0 exit@GLIBC_2.2.5
owfs-ftpd.x86_64: W: only-non-binary-in-usr-lib
14 packages and 0 specfiles checked; 3 errors, 24 warnings.
# echo 'rpmlint-done:'



Requires
--------
owfs-capi (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libow-2.9.so.1()(64bit)
    libpthread.so.0()(64bit)
    owfs-libs(x86-64)
    rtld(GNU_HASH)

owfs-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libusb
    libusb-0.1.so.4()(64bit)
    rtld(GNU_HASH)

owfs-tap (rpmlib, GLIBC filtered):
    /bin/sh
    owfs-tcl(x86-64)
    tcl

owfs-devel (rpmlib, GLIBC filtered):
    libow-2.9.so.1()(64bit)
    libowcapi-2.9.so.1()(64bit)
    libownet-2.9.so.1()(64bit)
    owfs-libs(x86-64)

owfs-tcl (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libow-2.9.so.1()(64bit)
    libowcapi-2.9.so.1()(64bit)
    libpthread.so.0()(64bit)
    libtcl8.5.so()(64bit)
    owfs-libs(x86-64)
    rtld(GNU_HASH)
    tcl

owfs-shell (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

owfs-fs (rpmlib, GLIBC filtered):
    /bin/sh
    fuse
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libfuse.so.2()(64bit)
    libfuse.so.2(FUSE_2.6)(64bit)
    libm.so.6()(64bit)
    libow-2.9.so.1()(64bit)
    libpthread.so.0()(64bit)
    libusb-0.1.so.4()(64bit)
    owfs-libs(x86-64)
    owfs-server
    rtld(GNU_HASH)

owfs-server (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libow-2.9.so.1()(64bit)
    libpthread.so.0()(64bit)
    libusb-0.1.so.4()(64bit)
    owfs-libs(x86-64)
    rtld(GNU_HASH)
    shadow-utils

owfs-python (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libow-2.9.so.1()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libusb-0.1.so.4()(64bit)
    libutil.so.1()(64bit)
    owfs-libs(x86-64)
    python
    python(abi)
    rtld(GNU_HASH)

owfs-mon (rpmlib, GLIBC filtered):
    /bin/sh
    owfs-tcl(x86-64)
    tcl

owfs-php (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libow-2.9.so.1()(64bit)
    libowphp.so.0()(64bit)
    libpthread.so.0()(64bit)
    owfs-libs(x86-64)
    php
    php-cli
    rtld(GNU_HASH)

owfs-httpd (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libow-2.9.so.1()(64bit)
    libpthread.so.0()(64bit)
    libusb-0.1.so.4()(64bit)
    owfs-libs(x86-64)
    owfs-server
    rtld(GNU_HASH)

owfs-ownet (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libpthread.so.0()(64bit)
    owfs-libs(x86-64)
    rtld(GNU_HASH)

owfs-ftpd (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libow-2.9.so.1()(64bit)
    libpthread.so.0()(64bit)
    libusb-0.1.so.4()(64bit)
    owfs-libs(x86-64)
    owfs-server
    rtld(GNU_HASH)



Provides
--------
owfs-capi:
    libowcapi-2.9.so.1()(64bit)
    owfs-capi
    owfs-capi(x86-64)

owfs-libs:
    libow-2.9.so.1()(64bit)
    owfs-libs
    owfs-libs(x86-64)

owfs-tap:
    owfs-tap
    owfs-tap(x86-64)

owfs-devel:
    owfs-devel
    owfs-devel(x86-64)

owfs-tcl:
    owfs-tcl
    owfs-tcl(x86-64)

owfs-shell:
    owfs-shell
    owfs-shell(x86-64)

owfs-fs:
    owfs-fs
    owfs-fs(x86-64)

owfs-server:
    owfs-server
    owfs-server(x86-64)

owfs-python:
    owfs-python
    owfs-python(x86-64)

owfs-mon:
    owfs-mon
    owfs-mon(x86-64)

owfs-php:
    libowphp.so.0()(64bit)
    owfs-php
    owfs-php(x86-64)

owfs-httpd:
    owfs-httpd
    owfs-httpd(x86-64)

owfs-ownet:
    libownet-2.9.so.1()(64bit)
    owfs-ownet
    owfs-ownet(x86-64)

owfs-ftpd:
    owfs-ftpd
    owfs-ftpd(x86-64)



Unversioned so-files
--------------------
owfs-python: /usr/lib64/python2.7/site-packages/ow/_OW.so
owfs-php: /usr/lib64/php/modules/libowphp.so
owfs-tcl: /usr/lib64/tcl8.5/owtcl-1.0/ow-1.0.so
owfs-tcl: /usr/lib64/tcl8.5/owtcl-1.0/ow.so

Source checksums
----------------
http://downloads.sourceforge.net/owfs/owfs-2.9p1.tar.gz :
  CHECKSUM(SHA256) this package     : 9d22dbff72d235476688c02669f7171b23e21dffadf40bbdd3b8263908218424
  CHECKSUM(SHA256) upstream package : 9d22dbff72d235476688c02669f7171b23e21dffadf40bbdd3b8263908218424


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 927237


Package is APPROVED

Comment 26 Tomasz Torcz 2013-07-09 14:53:43 UTC
Great! Thank you for your patience, Lorenzo.

New Package SCM Request
=======================
Package Name: owfs
Short Description: 1-Wire Virtual File System suite
Owners: ttorcz
Branches: f18 f19

Comment 27 Gwyn Ciesla 2013-07-09 15:06:42 UTC
Git done (by process-git-requests).

Comment 28 Fedora Update System 2013-07-09 19:53:16 UTC
owfs-2.9p1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/owfs-2.9p1-4.fc19

Comment 29 Fedora Update System 2013-07-09 19:53:42 UTC
owfs-2.9p1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/owfs-2.9p1-4.fc18

Comment 30 Fedora Update System 2013-07-11 02:27:12 UTC
owfs-2.9p1-4.fc19 has been pushed to the Fedora 19 testing repository.

Comment 31 Fedora Update System 2013-07-20 09:41:48 UTC
owfs-2.9p1-4.fc18 has been pushed to the Fedora 18 stable repository.

Comment 32 Fedora Update System 2013-07-20 09:46:05 UTC
owfs-2.9p1-4.fc19 has been pushed to the Fedora 19 stable repository.